package cn.com.qmth.examcloud.web.actuator;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.boot.actuate.endpoint.annotation.Endpoint;
import org.springframework.boot.actuate.endpoint.annotation.ReadOperation;
import org.springframework.context.annotation.Configuration;

/**
 * 接口状态
 *
 * @author WANGWEI
 * @date 2019年7月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Configuration
@Endpoint(id = "api-status")
public class ApiStatusEndpoint {

	@ReadOperation(produces = "application/json")
	public Map<String, Object> endpoint() {

		ReportorHolder.getApiDataReportor().report();
		List<ReportInfo> reportInfoList = ReportorHolder.getApiDataReportor().getReportInfoList();

		Map<String, Object> map = new HashMap<>(16);
		map.put("reportInfoList", reportInfoList);
		return map;
	}

}
